### Class

# Gimp Resource

#### Description [src]

    abstract class Gimp.Resource : GObject.Object
      implements Gimp.ConfigInterface {
      /* No available fields */
    }

Functions to manipulate resources.

#### Ancestors

- GObject

#### Descendants

- GimpBrush
- GimpFont
- GimpGradient
- GimpPalette
- GimpPattern

#### Implements

- GimpConfigInterface

#### Functions

###### gimp_resource_get_by_id

Returns a `GimpResource` representing `resource_id`. Since `GimpResource` is an abstract class, the real object type will actually be the proper subclass.

since: 3.0

###### gimp_resource_get_by_name

Returns the resource with the given `resource_type` and `resource_name`.

since: 3.0

###### gimp_resource_id_is_brush

Returns whether the resource ID is a brush.

since: 3.0

###### gimp_resource_id_is_font

Returns whether the resource ID is a font.

since: 3.0

###### gimp_resource_id_is_gradient

Returns whether the resource ID is a gradient.

since: 3.0

###### gimp_resource_id_is_palette

Returns whether the resource ID is a palette.

since: 3.0

###### gimp_resource_id_is_pattern

Returns whether the resource ID is a pattern.

since: 3.0

###### gimp_resource_id_is_valid

Returns TRUE if the resource ID is valid.

since: 3.0

#### Instance methods

###### gimp_resource_delete

Deletes a resource.

since: 3.0

###### gimp_resource_duplicate

Duplicates a resource.

since: 3.0

###### gimp_resource_get_id

mostly internal data and not reusable across sessions.

since: 3.0

###### gimp_resource_get_name

Returns the resource’s name.

since: 3.0

###### gimp_resource_is_brush

Returns whether the resource is a brush.

since: 3.0

###### gimp_resource_is_editable

Whether the resource can be edited.

since: 3.0

###### gimp_resource_is_font

Returns whether the resource is a font.

since: 3.0

###### gimp_resource_is_gradient

Returns whether the resource is a gradient.

since: 3.0

###### gimp_resource_is_palette

Returns whether the resource is a palette.

since: 3.0

###### gimp_resource_is_pattern

Returns whether the resource is a pattern.

since: 3.0

###### gimp_resource_is_valid

Returns TRUE if the resource is valid.

since: 3.0

###### gimp_resource_rename

Renames a resource. When the name is in use, renames to a unique name.

since: 3.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Gimp.Resource:id

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GimpResourceClass {
      GObjectClass parent_class;
      void (* _gimp_reserved0) (
    void
      );
      void (* _gimp_reserved1) (
    void
      );
      void (* _gimp_reserved2) (
    void
      );
      void (* _gimp_reserved3) (
    void
      );
      void (* _gimp_reserved4) (
    void
      );
      void (* _gimp_reserved5) (
    void
      );
      void (* _gimp_reserved6) (
    void
      );
      void (* _gimp_reserved7) (
    void
      );
      void (* _gimp_reserved8) (
    void
      );
      void (* _gimp_reserved9) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_gimp_reserved0: void (* _gimp_reserved0) ( void )`

  No description available.

`_gimp_reserved1: void (* _gimp_reserved1) ( void )`

  No description available.

`_gimp_reserved2: void (* _gimp_reserved2) ( void )`

  No description available.

`_gimp_reserved3: void (* _gimp_reserved3) ( void )`

  No description available.

`_gimp_reserved4: void (* _gimp_reserved4) ( void )`

  No description available.

`_gimp_reserved5: void (* _gimp_reserved5) ( void )`

  No description available.

`_gimp_reserved6: void (* _gimp_reserved6) ( void )`

  No description available.

`_gimp_reserved7: void (* _gimp_reserved7) ( void )`

  No description available.

`_gimp_reserved8: void (* _gimp_reserved8) ( void )`

  No description available.

`_gimp_reserved9: void (* _gimp_reserved9) ( void )`

  No description available.